PACREPAIRDB(1)

NUME
pacrepairdb - repară intrările corupte din baza de date

SINOPSIS
 pacrepairdb [opțiuni] <pachet>...
 pacrepairdb (--help|--version)

DESCRIERE
Încearcă să repare intrările de pachete stricate din baza de date a „libalpm”. Orice fișier esențial lipsă va fi creat, iar pachetele vor fi reinstalate din spațiul de prestocare „cache”.

Dacă intrarea standard nu este conectată la un terminal, numele pachetelor vor fi citite de la intrarea standard.

OPȚIUNI

--cachedir=ruta
    Stabilește o rută alternativă pentru directorul cache.

--config=ruta
    Stabilește o rută alternativă pentru fișierul de configurare.

--dbonly
    Efectuează modificările în baza de date fără a extrage sau a elimina pachete.

--dbpath=ruta
    Stabilește o rută alternativă pentru baza de date.

--debug
    Afișează informații suplimentare de depanare.

--hookdir
    Adaugă directoare suplimentare pentru cârlige de utilizator.

--logfile=ruta
    Stabilește o rută alternativă pentru fișierul de jurnal.

--no-confirm
    Presupune răspunsuri implicite la toate solicitările (nu așteaptă confirmarea).

--no-scriptlet
    Nu rulează scripturile de instalare ale pachetelor.

--no-hooks
    Nu rulează cârligele de tranzacție.

--no-timeout
    Dezactivează timpii de așteptare la viteză redusă pentru descărcări.

--print-only
    Afișează pachetele care urmează să fie reparate și pachetele cache care urmează să fie utilizate și iese.

--root=ruta
    Stabilește o rădăcină de instalare alternativă.

--sysroot=ruta
    Stabilește o rădăcină alternativă a sistemului. A se vedea pacutils-sysroot(7).

--verbose
    Afișează informații suplimentare privind progresul.

--help
    Afișează informațiile de utilizare și iese.

--version
    Afișează informațiile despre versiune și iese.

EXEMPLE
Găsește și reinstalează pachetele defecte:

 paccheck --list-broken --files --file-properties --db-files --require-mtree | pacrepairdb

AVERTISMENTE
pacrepairdb se așteaptă ca toate pachetele care sunt reparate să fie stocate în spațiul de prestocare „cache”. Se presupune că pachetele din spațiul de prestocare care se potrivesc cu numele și versiunea unui pachet instalat sunt același pachet. Nu se încearcă să se valideze pachetele din spațiul de prestocare. În cazul în care un spațiu de prestocare conține un pachet care nu se potrivește cu pachetul instalat, dar care, cu toate acestea, are același nume și aceeași versiune, pacrepairdb îl va instala orbește, înrăutățind orice problemă a bazei de date.

pacrepairdb nu verifică fișierele orfane rămase. Este responsabilitatea utilizatorului să localizeze și să gestioneze fișierele orfane.

pacrepairdb determină dacă trebuie sau nu să citească numele pachetelor de la intrarea standard pe baza unei verificări simpliste folosind isatty(3). Dacă pacrepairdb este apelat într-un mediu, cum ar fi o funcție de shell sau un script utilizat într-o conductă, în care intrarea standard nu este conectată la un terminal, dar nu conține nume de pachete de reparat, pacrepairdb trebuie apelat cu intrarea standard închisă. Pentru shell-urile compatibile POSIX, acest lucru se poate face cu "<&-".

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.